CsrAttrs (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.est

## Class CsrAttrs

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.est.CsrAttrs

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CsrAttrs
      extends ASN1Object

            CsrAttrs ::= SEQUENCE SIZE (0..MAX) OF AttrOrOID

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsrAttrs(AttrOrOID attrOrOID)` Construct a CsrAttrs object containing one AttrOrOID.
    `CsrAttrs(AttrOrOID[] attrOrOIDs)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttrOrOID[]` | `getAttrOrOIDs()`
    `static CsrAttrs` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static CsrAttrs` | `getInstance(java.lang.Object obj)`
    `int` | `size()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsrAttrs

          public CsrAttrs(AttrOrOID attrOrOID)

      Construct a CsrAttrs object containing one AttrOrOID.
      Parameters:
        `attrOrOID` - the AttrOrOID to be contained.

    - #### CsrAttrs

          public CsrAttrs(AttrOrOID[] attrOrOIDs)

  - ### Method Detail

    - #### getInstance

          public static CsrAttrs getInstance(java.lang.Object obj)

    - #### getInstance

          public static CsrAttrs getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

    - #### getAttrOrOIDs

          public AttrOrOID[] getAttrOrOIDs()

    - #### size

          public int size()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.